Kerbal Space Program - Bug #19474

Landing legs still breaking in 1.4.5; extreme bouncing
08/03/2018 12:27 AM - squackenbush
Description

Thanks to those who worked on this issue since 1.4.2, now it only happens sometimes!
Undocking craft on the surface still causes landing legs to explode in many situations, at least on Kerbin (other bodies not tested).

To reproduce:

1) Launch craft from hangar

2) Drive for several craft lengths down the runway (I usually take it up to 10 m/s and hit the brakes)
3) Stop and extend landing legs

4) Retract landing gear

5) Undock, legs explode

Decoupling from the start location (same procedure, no driving) does not result in an explosion. If one extends the legs before
moving from the launch location, decouples, recouples, and then performs the drive/decouple test there is no explosion.

When the legs survive one or other half of the craft bounces violently on decoupling or recoupling. This is extreme if there is a large
mass difference between halves.

Not being careful in general also results in an explosion: raising the wheelbase to introduce a slight misalignment or simultaneously
retracting wheels while extending legs will produce a craft that explodes on undocking.

Surface docking was smooth in 1.4.1, but legs always explode 1.4.2-1.4.4. The issue seems intermittent in 1.4.5. May be related to
Bug #19343 and others; reporting because these issues were claimed fixed in the 1.4.5 changelog.

History

#1 - 10/15/2018 06:34 PM - joshua.collins
- Status changed from New to Ready to Test
- Target version set to 1.5.0

- % Done changed from 0 to 80

#2 - 12/08/2018 06:27 AM - Anonymous

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

- Language 0000 (Chinese Simplified) added

1.5.1

#3 - 12/09/2018 06:45 PM - Anonymous
- Language deleted (1000 (Chinese Simplified))

The example undocks with no unrealistic bounce in version 1.5.1. (probably same fix that fixed #19343)

#4 - 12/13/2018 12:54 AM - joshua.collins

- Status changed from Resolved to Closed
https://bugs.kerbalspaceprogram.com/issues/19343
https://bugs.kerbalspaceprogram.com/issues/19343
